/* ========== Template ModerNav (debut) ========== */

.header_nav {
    width: 100%;
  }
  header {
    position: fixed;
    cursor: pointer;
    z-index: 11;
    height: 60px;
    width: 65px;
    padding: 6px;
    background-color: #b30c54;
    background: url("../ressources/logo_icones/Icon2.png") no-repeat;
    background-size: cover;
    color: #f2f3fd;
    border-radius: 0 0 100% 0;
    border-right: solid 1px white;
  }
  .menu_horizontal {
    /*border: solid 1px red;*/
  
    border-bottom: 1px solid transparent;
    border-image: linear-gradient(
      to right,
      transparent,
      rgba(255, 255, 255, 0.8),
      transparent
    );
    border-image-slice: 1;
    z-index: 10;
    position: fixed;
    top: 0px;
    /*height: 50px;*/
    width: 100%;
    background-color: rgba(255, 255, 255, 0.7);
    padding-left: 17%;
  
    transition: all 0.5s;
  }
  .menu_horizontal > ul > li {
    /*border: solid 1px royalblue;*/
  
    position: relative;
    display: inline-block;
    vertical-align: middle;
    padding: 10px 16px;
    height: 42px;
    border-right: 1px solid transparent;
    border-image: linear-gradient(
      to bottom,
      transparent,
      #1d21299c,
      transparent
    );
    border-image-slice: 1;
  
    -webkit-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
  }
  .menu_horizontal > ul > li:nth-last-child(1) {
    border-right: none;
  }
  .menu_horizontal > ul > li > a {
    color: #28303f;
    -webkit-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
  }
  
  .menu_horizontal li ul /* Sub-menus */ {
    display: none;
    position: absolute;
    top: 42px;
    left: 0;
    background-color: #1d2129;
    width: max-content;
  
    -webkit-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
  }
  
  .menu_horizontal li ul li {
    padding: 10px 15px 10px 15px;
    border-bottom: solid 1px rgb(82, 82, 82);
    width: 100%;
  }
  .menu_horizontal li ul li a {
    color: rgb(220, 220, 220);
  }
  
  .menu_horizontal li ul li:nth-last-child(1) {
    border-bottom: none;
    padding-bottom: 10px;
  }
  .menu_horizontal li ul li:nth-child(1) {
    border-top: solid 1px rgba(255, 255, 255, 0.5);
  }
  
  .menu_horizontal > ul > li:hover {
    background-color: #b30c54;
    cursor: pointer;
  }
  
  .menu_horizontal li ul li:hover {
    background-color: #b30c54;
  }
  
  .humburger {
    z-index: 4;
    box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.3);
    transition: all 0.3s;
  
    position: fixed;
    cursor: pointer;
    height: 60px;
    width: 60px;
    padding: 6px;
    background-color: #b30c54;
    color: #f2f3fd;
    border-radius: 0 0 100% 0;
    border-right: solid 1px white;
  }
  .humburger:hover {
    box-shadow: inset 0 0 0 1000px rgba(255, 255, 255, 0.15),
      3px 3px 5px rgba(0, 0, 0, 0.3);
  }
  .icon_humburger {
    position: absolute;
    font-size: 40px;
    color: #f2f3fde7;
    transition: 0.3s;
    top: 2px;
    left: 15px;
  }
  .icon_humburger.ih1 {
    transform: rotate(45deg);
  }
  .icon_humburger.ih2 {
    transform: rotate(-135deg);
  }
  
  /* Side menu : */
  .menu_vertical {
    height: 0;
    width: 0;
  
    position: fixed;
    z-index: 3;
    top: 0;
    /*left:5px;*/
    /*overflow-y: auto;*/
    overflow-x: hidden;
    background-color: #f2f3fde0;
    /*padding: 4%;*/
  
    transition: 0.5s;
  }
  .menu_vertical > ul {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2%;
    margin-left: 20px;
  }
  .menu_vertical > ul:nth-child(1) {
    margin-bottom: 2%;
  }
  .menu_vertical > ul > li {
    padding: 0;
  }
  .menu_vertical li {
    padding: 10px 10px 10px 20px;
    overflow: hidden;
  }
  .menu_vertical > ul > li > h3 {
    display: block;
    padding: 5px 0 5px 20px;
    color: #f2f3fd;
    background-color: #b30c54;
    border-bottom: 1px solid transparent;
    border-image: linear-gradient(
      to right,
      rgba(255, 255, 255, 0.8),
      transparent
    );
    border-image-slice: 1;
  }
  .menu_vertical > ul > li > ul {
    background-color: rgb(48, 48, 48);
    margin-left: 5px;
  }
  .menu_vertical > ul > li > ul > a > li {
    margin-bottom: 5px;
    border-bottom: 1px solid transparent;
    border-image: linear-gradient(
      to right,
      rgba(255, 255, 255, 0.4),
      transparent
    );
    border-image-slice: 1;
  }
  .menu_vertical a {
    color: #ddd;
  }
  
  /* -------------- Medias queries  -------------- */
  @media (max-width: 1260px) {
    .menu_horizontal {
      padding-left: 15%;
    }
  }
  @media (max-width: 1170px) {
    .menu_horizontal {
      padding-left: 13%;
    }
  }
  @media (max-width: 1115px) {
    .menu_horizontal {
      padding-left: 7%;
    }
  }
  @media (max-width: 1015px) {
    .menu_horizontal a {
      font-size: 0.9em;
    }
  }
  @media (max-width: 930px) /* =========== */ {
    .menu_horizontal a {
      font-size: 0.85em;
    }
    .menu_horizontal > ul > li {
      padding: 7px 16px 6px 16px;
      height: 38px;
    }
    .menu_horizontal li ul {
      top: 38px;
    }
  }
  @media (max-width: 1043px) {
    .menu_horizontal ul li {
      display: none;
    }
    header {
      display: none;
    }
  }
  @media (min-width: 1044px) {
    .humburger {
      display: none;
    }
  }
  @media (max-width: 760px) {
    .menu_vertical h3 {
      font-size: 1.1em;
    }
    .menu_vertical a {
      font-size: 0.9em;
    }
  }
  @media (max-width: 710px) {
    .menu_vertical > ul > li > h3 {
      padding: 5px 0 5px 10px;
    }
    .menu_vertical ul {
      margin-left: 40px;
    }
    .menu_vertical h3 {
      font-size: 1em;
    }
    .menu_vertical a {
      font-size: 0.85em;
    }
  }
  @media (max-width: 640px) {
    .menu_vertical > ul:nth-child(2) {
      grid-template-columns: repeat(2, 1fr);
    }
  }
  @media (max-width: 450px) {
    .menu_vertical > ul:nth-child(1) {
      margin-top: 10px;
    }
    .menu_vertical h3 {
      font-size: 0.9em;
    }
    .menu_vertical a {
      font-size: 0.8em;
    }
  }
  @media (max-width: 500px) /*414*/ {
    .menu_vertical > ul:nth-child(1),
    .menu_vertical > ul:nth-child(2) {
      grid-template-columns: repeat(1, 1fr);
    }
  }
  
  /* ========== Template ModerNav (fin) ========== */